Description

I can't create a new host on openstack compute resource.

I always get error: 'Failed to save: Must define an Image to use'

See logs :

Started POST "/hosts" for 192.168.200.117 at Tue Aug 14 14:24:14 +0200 2012

Processing by HostsController#create as

Parameters: {"capabilities"=>"image", "authenticity_token"=>"sS+qFBzbxo2GUsa1R8xYRR4KEkt8vluFrkTeupYBM/s=", "utf8"=>"✓",

"host"=>{"name"=>"devos1", "managed"=>"true", "architecture_id"=>"1", "comment"=>"", "compute_resource_id"=>"27",

"compute_attributes"=>{"image_ref"=>"1", "flavor_ref"=>"1", "tenant_id"=>"83438691d9ed4a80a3a6bb3065fdeaaa",

"security_groups"=>"default"}, "provision_method"=>"image", "overwrite"=>"false", "puppet_proxy_id"=>"2",

"puppet_ca_proxy_id"=>"2", "mac"=>"", "domain_id"=>"4", "hostgroup_id"=>"5", "build"=>"1", "medium_id"=>"6",

"root_pass"=>"[FILTERED]", "enabled"=>"1", "ptable_id"=>"6", "is_owned_by"=>"9-Users", "environment_id"=>"2",

"progress_report_id"=>"[FILTERED]", "puppetclass_ids"=>[""], "disk"=>"", "operatingsystem_id"=>"2"}}

Must define an Image to use

Failed to save: Must define an Image to use

Rendered hosts/_progress.erb (0.1ms)

Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)

Rendered puppetclasses/_classes.html.erb (532.1ms)

Rendered puppetclasses/_class_selection.html.erb (543.1ms)

Rendered compute_resources_vms/form/_openstack.html.erb (219.2ms)

Rendered hosts/_compute.html.erb (496.1ms)

Rendered common/os_selection/_architecture.html.erb (121.4ms)

Rendered common/os_selection/_operatingsystem.html.erb (6.6ms)

Rendered hosts/_operating_system.erb (133.1ms)

Rendered hosts/_unattended.html.erb (634.1ms)

Rendered common_parameters/_inherited_parameters.erb (0.5ms)

Rendered common_parameters/_parameter.erb (1.2ms)

Rendered common_parameters/_parameters.erb (2.4ms)

Rendered hosts/_form.html.erb (1916.5ms)

Rendered bookmarks/_list.html.erb (1.9ms)

Rendered bookmarks/_list.html.erb (0.4ms)

Rendered home/_settings.html.erb (7.3ms)

Rendered home/_user_dropdown.rhtml (1.1ms)

Rendered home/_topbar.rhtml (17.7ms)

Rendered hosts/new.html.erb within layouts/application (1938.7ms)

Completed 200 OK in 4409ms (Views: 1921.1ms | ActiveRecord: 32.4ms)

Associated revisions

Revision e0ef11c4 - 09/05/2012 10:22 AM - Ohad Levy

fixes #1825 - unable to select an openstack image.

Note that probably Fog 1.5 is required for this to work.
#1 - 08/27/2012 09:25 AM - Linton Galloway

I've just had the same issue with Openstack on Ubuntu 12.04.1

#2 - 09/05/2012 04:06 AM - Ohad Levy

- Target version set to 1.1

#3 - 09/05/2012 11:47 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset e0ef11c4ce70b6842ce39c4122fd81ac805b4889.
